 insert into test
       ( subj, semester, activity)      values
       ( 3, 1, 2 ) 
      ,( 3, 2, 0 ) 
      ,( 6, 2, 1 ) 
      ,( 8, 3, 1 ) 
      ,( 9, 4, 1 ) 
      ,(10, 5, 1 ) 
      ,(11, 5, 1 ) 
      ,(12, 9, 1 ) 
   ;  

 insert into subject
       ( id,  code, name, credit)      values
       (1,  'OK6',  'Английский язык',                 12) 
      ,(2,  'OK7' , 'Дискретная математика' ,          3 )  
      ,(3,  'OK9' , 'Алгоритмические языки и программирование' ,          14 )  
      ,(4,  'OK10', 'Алгоритмы и структуры данных' ,   6 )  
      ,(5,  'OK13', 'Вычислительные методы' ,          18)  
      ,(6,  'OK25', 'Знакомство со специальностью' ,   3)  
      ,(7,  'OK27', 'Диплом'                       ,   12)
      ,(8,  '?К08', 'С#-.Net,ч.1'                  ,   4)
      ,(9,  '?К09', 'С#-.Net,ч.2'                  ,   4)
      ,(10, '?К10', 'Базы данных'                  ,   4)
      ,(11, '?К11', 'Языки формальных спецификаций',   4)
      ,(12, '?К12', 'Модульное тестирование'       ,   2)
   ;  
 insert into activity
       ( subj,  name)        values
       ( 0,  'зачет' ) 
       ( 1,  'диф.зачет' ) 
      ,( 2,  'экзамен') 
      ,( 3,  'защита(б)')
      ,( 4,  'защита(м)')
      ,( 10,  'консультация')
      ,( 11,  'лабораторная')
      ,( 12,  'практическая')
      ,( 13,  'домашняя')
      ,( 14,  'опрос')
      ,( 15,  'модуль')
      ,( 16,  'активность1')
      ,( 100,  'активность2')


 insert into class
     (subj, semestr, activity, num, name)  values
   , (3, 1, 0, 16  , 'Опросы')       -- ответы на вопросы
   , (3, 1, 1, 16  , 'Активность')   -- активная работа в теч.семестра
   , (3, 1, 2, 100 , 'Доп.заслуги')  -- ошибки в методичках
   , (3, 1, 2.1, 11, 'Выбор четверти на плоскости')
   , (3, 1, 2.2, 11, 'Факториал')
   , (3, 1, 2.3, 11, 'Таблица ASCII')
   , (3, 1, 2.4, 11, 'Подсчет пробелов')
   , (3, 1, 2.5, 11, 'Транслитерация')
   , (3, 1, 2.6, 11, 'Вывод массива')
   , (3, 1, 2.7, 11, 'Поиск индекса максимума')
   , (3, 1, 2.8, 15, 'Модуль 1')
   , (3, 1, 3.1, 11, 'Обмен значений переменных')
   , (3, 1, 3.2, 11, 'Сортировка выбором')
   , (3, 1, 3.3, 11, 'Рекурсивные функции')
   , (3, 1, 3.4, 11, 'Строки')
   , (3, 1, 3.5, 11, 'Целые числа')
   , (3, 1, 3.6, 11, 'Сравнение строк')
   , (3, 1, 3.7, 11, 'Динамическая память')
   , (3, 1, 3.8, 15, 'Модуль 2')
   , (3, 1, 3.9,  2, 'Финал')
   , (3, 2, 0  , 16, 'Опросы')
   , (3, 2, 1  , 16, 'Активность')
   , (3, 2, 2  ,100, 'Доп.заслуги')
   , (3, 2, 2.1, 11, 'Вещественные числа')
   , (3, 2, 2.2, 11, 'Светофор')
   , (3, 2, 2.3, 11, 'Изменение байта файла')
   , (3, 2, 2.4, 11, 'Локальное время')
   , (3, 2, 2.5, 11, 'Таблица слов')
   , (3, 2, 2.6, 11, 'Списки')
   , (3, 2, 2.7, 15, 'Модуль 1')
   , (3, 2, 3.1, 11, 'Описывающий прямоугольник')
   , (3, 2, 3.2, 11, 'Списки и таблица слов')
   , (3, 2, 3.3, 11, 'Шифрование файла')
   , (3, 2, 3.4, 11, 'Конвертор трека')
   , (3, 2, 3.5, 11, 'Еще раз о таблице слов')
   , (3, 2, 3.6, 15, 'Модуль 2')
   , (3, 2, 3.7,  1, 'Финал')
;































